Subject: Re: [PATCH 1/2] sctp: SCTP_SOCKOPT_PEELOFF return socket pointer for kernel users

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Mon, 13 Jul 2015 17:06:42 -0300

On 13-07-2015 16:58, David Miller wrote:
> From: Marcelo Ricardo Leitner <[email-masked]>
> Date: Mon, 13 Jul 2015 16:05:27 -0300
>
>> On 13-07-2015 15:59, David Miller wrote:
>>> From: Neil Horman <[email-masked]>
>>> Date: Mon, 13 Jul 2015 06:39:11 -0400
>>>
>>>> Initially Marcelo had created duplicate code paths, one to return an
>>>> fd, one to return a file struct.  If you would rather go in that
>>>> direction, I'm sure he can propose it again, but that seems less
>>>> correct to me than this solution.
>>>
>>> That's much better.
>>
>> I'm not sure what you mean. Is the new option better or the
>> history/description?
>
> I mean that adding an explicit function for these internal kernel
> users to call is better.

Okay. I'll try to minimize that code duplication then.

Thanks
Marcelo